name: core_localization
description: "Core localization package using Slang."
version: 0.0.1
publish_to: none
resolution: workspace

environment:
  sdk: '>=3.10.0 <4.0.0'
  flutter: ">=3.0.0"

dependencies:
  flutter:
    sdk: flutter
  krow_core:
    path: ../core
  flutter_bloc: ^8.1.0
  flutter_modular: ^6.3.2
  slang: ^4.12.0
  slang_flutter: ^4.12.0
  shared_preferences: ^2.5.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  build_runner: ^2.4.15
  slang_build_runner: ^4.12.0

flutter:
  uses-material-design: true

slang:
  base_locale: en
  fallback_strategy: base_locale
  input_directory: lib/src/l10n
  input_file_pattern: .i18n.json
  output_directory: lib/src/l10n
  output_file_name: strings.g.dart
